# Compareware

A modern web application for comparing items and their properties, built with Next.js and Prisma.

## What is Compareware?

Compareware allows users to compare different items by their properties in a structured, easy-to-use interface. Users can:

- Add items for comparison via URLs
- Select relevant properties for comparison
- View side-by-side comparisons of items
- Manage and customize comparison criteria

## Tech Stack

- **Frontend**: Next.js 15 with TypeScript
- **Database**: SQLite with Prisma ORM
- **Styling**: Tailwind CSS
- **Runtime**: Node.js

## Getting Started

### Prerequisites

- Node.js 18+ 
- npm, yarn, pnpm, or bun

### Installation

1. Clone the repository:
```
git clone git@forge.ftt.gmbh:ryanmwangi/Compareware_next.js.git
cd compareware-nextjs
```

Install dependencies:

```
npm install
# or
yarn install
# or
pnpm install
```


# Set up the database:

Generate Prisma client
```
npx prisma generate

```

Create and migrate the database
```
npx prisma migrate dev
```
or if you don't have migrations set up:

```
npx prisma db push
```

(Optional) Seed the database with initial data:
```
npx prisma db seed
```


Running the Development Server
```
npm run dev
# or
yarn dev
# or
pnpm dev
# or
bun dev
```

Open http://localhost:3000 with your browser to see the application.

